﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Aufgabenpool_Kapitel_13
{
    public partial class Vokabel : Form
    {
        private string[] deutsch;
        private string[] englisch;
        private string[] spanisch;
        private int[] zufall;

        private int counter;
        private int richtig;

        public Vokabel()
        {
            InitializeComponent();

            openFileDialog1.ShowDialog();

            try
            {
                string[] Voks = System.IO.File.ReadAllLines(openFileDialog1.FileName);

                int i;
                int j = 0;
                deutsch = new string[Voks.Length / 3];
                englisch = new string[Voks.Length / 3];
                spanisch = new string[Voks.Length / 3];

                for (i = 0; i < Voks.Length; i += 3)
                {
                    deutsch[j] = Voks[i];
                    englisch[j] = Voks[i + 1];
                    spanisch[j] = Voks[i + 2];
                    j++;
                }
                zufall = new int[deutsch.Length];

            }
            catch (Exception e)
            {
                MessageBox.Show("Fehler bei Dateioperation!" + e.Message);
                this.Close();
            }

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
        private void Zufallsindex()
        {
            System.Random r = new Random(); //Random-Objekt 
            int wert;
            bool ok;

            for (int i = 0; i < zufall.Length; i++)
            {
                do
                {
                    ok = true;
                    wert = r.Next(zufall.Length);
                    for (int j = 0; j < i; j++)
                        if (wert == zufall[j]) ok = false;
                }
                while (ok == false);
                zufall[i] = wert;
            }
        }


        private void START_Click(object sender, EventArgs e)
        {
            counter = 0;
            richtig = 0;
            btnStart.Enabled = false;
            btnWeiter.Enabled = true;
            textBoxAntwort.Enabled = true;

            Zufallsindex();

            textBoxFrage.Text = deutsch[zufall[counter]];

            pBarFortschritt.Minimum = 0;
            pBarFortschritt.Maximum = deutsch.Length;

        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void btnWeiter_Click(object sender, EventArgs e)
        {
            switch (comboBox1.SelectedIndex)
            {
                case 0:
                    if (textBoxAntwort.Text == englisch[zufall[counter]])
                    {
                        richtig++;
                        MessageBox.Show("Bravo, korrekt!");
                    }
                    else
                        MessageBox.Show("Leider nicht richtig!");
                    break;

                case 1:
                    if (textBoxAntwort.Text == spanisch[zufall[counter]])
                    {
                        richtig++;
                        MessageBox.Show("Bravo, korrekt!");
                    }
                    else
                        MessageBox.Show("Leider nicht richtig!");
                    break;

            }
            counter++;
            pBarFortschritt.Increment(1);


            if (counter == deutsch.Length)
            {
                MessageBox.Show("Ende der Abfrage. Sie haben " + richtig + " von " + deutsch.Length + " Antworten korrekt!");
                btnWeiter.Enabled = false;
                textBoxAntwort.Enabled = false;
                textBoxAntwort.Text = "";
                textBoxFrage.Text = "";
                btnStart.Enabled = true;
                pBarFortschritt.Value = 0;

            }
            else
            {
                textBoxFrage.Text = deutsch[zufall[counter]];
                textBoxAntwort.Text = "";
            }
        }



    }
}
