﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Aufgabenpool_Kapitel_16__WPF_
{
    /// <summary>
    /// Interaktionslogik für Finanzrechner_Bindung.xaml
    /// </summary>
    public partial class Finanzrechner_Bindung : Window
    {
        
        bool bereit = false;
        
        public Finanzrechner_Bindung()
        {
            InitializeComponent();
            bereit = true;
            Aktualisieren();
        }

        private void slider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (bereit == true) Aktualisieren();
        }

        private void Aktualisieren()
        {
                string rate = "Die monatliche\nRate beträgt:\n" + Berechnung().Substring(0, Berechnung().IndexOf(',') + 3);

                textBlockRate.Text = rate;
        }

        private string Berechnung()
        {

            double rate = Convert.ToDouble(sliderKredit.Value.ToString()) * (Convert.ToDouble(sliderZins.Value.ToString()) / 1200) * Math.Pow((1 + Convert.ToDouble(sliderZins.Value.ToString()) / 1200), Convert.ToDouble(sliderLaufzeit.Value.ToString()));
            rate /= Math.Pow((1 + Convert.ToDouble(sliderZins.Value.ToString())  / 1200), Convert.ToDouble(sliderLaufzeit.Value.ToString()) ) - 1;
            string ratenString = rate.ToString();
            return ratenString;
        }

     
    }
}
