﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Aufgabenpool_Kapitel_17
{

    public partial class CKundenBestellungen : Form
    {

        string verbindungsstring = "Provider=Microsoft.ACE.OLEDB.12.0;Data Source=C:\\Temp\\Bestellungen.accdb;";
        System.Data.OleDb.OleDbConnection dBVerbindung = null;
        System.Data.OleDb.OleDbCommand befehl = null;
        System.Data.OleDb.OleDbDataReader datenleser = null;

        
        public CKundenBestellungen()
        {
            InitializeComponent();
            bool offen = false;
		
            try
            {
	            dBVerbindung = new OleDbConnection(verbindungsstring);
	            dBVerbindung.Open();
                offen = true;

                befehl = dBVerbindung.CreateCommand();
      	        befehl.CommandText = "SELECT * FROM Kunden";
                
                
	            datenleser = befehl.ExecuteReader();
      
	            while (datenleser.Read())
	            {
                    comboBoxKunden.Items.Add(datenleser.GetString(1));
	            }
            }
            catch(Exception  ausnahme)
            {
	            MessageBox.Show("Datenbankfehler: " + ausnahme.Message);
            }
            finally
            {
	            if (offen == true) dBVerbindung.Close();
            }

        }

        private void ComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            string name = comboBoxKunden.SelectedItem.ToString();

            bool offen = false;

            try
            {
                dBVerbindung = new OleDbConnection(verbindungsstring);
                dBVerbindung.Open();
                offen = true;

                befehl = dBVerbindung.CreateCommand();
                string sql = "SELECT * FROM Kunden k,Bestellungen b WHERE k.ID = b.KundenID AND k.Name = '" + comboBoxKunden.SelectedItem.ToString() + "'";
                string Ausgabe;
 
                befehl.CommandText = sql;

                

                datenleser = befehl.ExecuteReader();
                if (datenleser.Read())
                {
                    Ausgabe = "Bestellnummer: " + datenleser.GetInt32(3).ToString() + "\r\n\r\n";
                    Ausgabe += "Datum: " + datenleser.GetDateTime(4).Date.ToString().Substring(0, 10) + "\r\n\r\n";
                    Ausgabe += "Infotext: " + datenleser.GetString(5).ToString() + "\r\n\r\n";
                    Ausgabe += "Sachbearbeiter: " + datenleser.GetString(6).ToString() + "\r\n\r\n";

                    if (datenleser.GetBoolean(7) == true)
                        Ausgabe += "Erledigt: JA";
                    else Ausgabe += "Erledigt: NEIN";

                    textBox1.Text = Ausgabe;

                }
                else MessageBox.Show("Dieser Kunde hat noch keine Bestellung");

                
            }
            catch (Exception ausnahme)
            {
                MessageBox.Show("Datenbankfehler: " + ausnahme.Message);
            }
            finally
            {
                if (offen == true) dBVerbindung.Close();
            }

        }

        
    }
}
