﻿using System;
using System.Collections.Generic;
using System.Data.OleDb;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Informationsteil_Kapitel_17__WPF_
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private KundenDataSet kundenDataSet;

        private KundenDataSetTableAdapters.KundenTableAdapter kundenDataSetKundenTableAdapter;

        private System.Windows.Data.CollectionViewSource kundenViewSource;

        
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            kundenDataSet = ((Informationsteil_Kapitel_17__WPF_.KundenDataSet)(this.FindResource("kundenDataSet")));
            // Lädt Daten in Tabelle "Kunden". Sie können diesen Code nach Bedarf ändern.
            kundenDataSetKundenTableAdapter = new Informationsteil_Kapitel_17__WPF_.KundenDataSetTableAdapters.KundenTableAdapter();
            kundenDataSetKundenTableAdapter.Fill(kundenDataSet.Kunden);

            kundenViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("kundenViewSource")));
            kundenViewSource.View.MoveCurrentToFirst();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                OleDbCommandBuilder cmbKunden = new OleDbCommandBuilder(kundenDataSetKundenTableAdapter.
                                             Adapter);

                kundenDataSetKundenTableAdapter.Update(kundenDataSet);
                MessageBox.Show("Update erfolgreich");

            }
            catch (System.Exception ex)
            {
                MessageBox.Show("Update-Fehler:" + ex);
            }

        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            kundenViewSource.View.MoveCurrentToNext();

        }
    }
}
