﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Lernsituation_6
{
    public partial class Kontaktliste : Form
    {
        //Hier den Pfad gegebenenfalls anpassen
        private string verbindungsstring = "Provider=Microsoft.ACE.OLEDB.12.0;Data Source=C:\\Temp\\Termine.accdb;";
        System.Data.OleDb.OleDbConnection dBVerbindung = null;
        System.Data.OleDb.OleDbCommand befehl = null;
        System.Data.OleDb.OleDbDataReader datenleser = null;

        public Kontaktliste()
        {
            InitializeComponent();
            KontaktListeFuellen();
        }

        public void KontaktListeFuellen()
        {

            bool offen = false;

            try
            {
                dBVerbindung = new System.Data.OleDb.OleDbConnection(verbindungsstring);
                dBVerbindung.Open();
                offen = true;
                string Eintrag;

                befehl = dBVerbindung.CreateCommand();
                befehl.CommandText = "SELECT * FROM Kontakte ORDER BY Name;";

                datenleser = befehl.ExecuteReader();

                while (datenleser.Read())
                {
                    Eintrag = "ID " + datenleser.GetInt32(datenleser.GetOrdinal("K_ID"));
                    Eintrag += ", " + datenleser.GetString(datenleser.GetOrdinal("Vorname")) + " " + datenleser.GetString(datenleser.GetOrdinal("Name"));
                    Eintrag += ", " + datenleser.GetString(datenleser.GetOrdinal("Strasse")) + ", " + datenleser.GetString(datenleser.GetOrdinal("Ort"));
                    Eintrag += ", " + datenleser.GetString(datenleser.GetOrdinal("Telefon"));
                    
                    if (datenleser.GetBoolean(datenleser.GetOrdinal("privat"))==true)
                            Eintrag += ", privat";
                    else
                            Eintrag += ", geschäftlich, " + datenleser.GetString(datenleser.GetOrdinal("Firma"))+ ", " + datenleser.GetString(datenleser.GetOrdinal("Abteilung"));
                    
                    listBoxKontakte.Items.Add(Eintrag);
                }

            }
            catch (Exception ausnahme)
            {
                MessageBox.Show("Datenbankfehler: " + ausnahme.Message);
            }
            finally
            {
                if (offen == true) dBVerbindung.Close();
            }

        }

     
    }
}
