using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Reflection.Metadata;
using System.Runtime.CompilerServices;
using System.Runtime.Intrinsics.X86;
using Microsoft.Maui.Controls;
using Microsoft.Maui.Controls.PlatformConfiguration.iOSSpecific;

namespace ErsteMAUIApp
{
    public class CDaten
    {
        public string dateiName { get; set; }
        public Color farbe { get; set; }
    }

    public partial class Logdaten : ContentPage
    {

        List<CDaten> DateiListe = new List<CDaten>();

        public Logdaten()
        {
            InitializeComponent();

            Fllen();
            ListenSicht.ItemsSource = null;
            ListenSicht.ItemsSource = DateiListe;


        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
            Fllen();
            ListenSicht.ItemsSource = null;
            ListenSicht.ItemsSource = DateiListe;

        }

        private void Fllen()
        {
            DateiListe.Clear();
            foreach (string s in System.IO.Directory.GetFiles("C:\\MAUI"))
            {
                CDaten daten = new CDaten();
                daten.dateiName = s;
                daten.farbe = Zufallsfarbe();
                DateiListe.Add(daten);
            }
        }
        private void DateiButton_Clicked(object sender, EventArgs e)
        {
            string dateiname = ((Button)sender).Text;
            
            Inhalt.Text = System.IO.File.ReadAllText(dateiname);
            
        }

        public Color Zufallsfarbe()
        {
            Random r = new Random();
            int auswahl = r.Next(5);
            switch (auswahl)
            {
                case 0: return Colors.Tomato; 
                case 1: return Colors.SkyBlue; 
                case 2: return Colors.Moccasin; 
                case 3: return Colors.LightSeaGreen;
                case 4: return Colors.LemonChiffon;

            }
            return Colors.YellowGreen;
        }


       
    }

}