﻿using System.Windows.Forms;
using System.Drawing;
using System;

class CForm : Form
{

    private int counter;

    public CForm()
    {
        this.Text = "Paint-Ereignisse zählen";

        //this.ResizeRedraw = true;

        counter = 0;

    }

    protected override void OnResize(EventArgs e)
    {
        this.Invalidate();
    }


    protected override void OnPaint(PaintEventArgs e)
    {
        Graphics gra = e.Graphics;

        int hoehe = this.ClientRectangle.Height;
        int breite = this.ClientRectangle.Width;

        string text_1 = "Anzahl Paint-Ereignisse: " + counter;
        string text_2 = "Höhe des Fensters: " + hoehe;
        string text_3 = "Breite des Fensters: " + breite;

        int textbreite_1 = (int)gra.MeasureString(text_1, this.Font).Width;
        int textbreite_2 = (int)gra.MeasureString(text_2, this.Font).Width;
        int textbreite_3 = (int)gra.MeasureString(text_3, this.Font).Width;

        gra.DrawString(text_1, this.Font, Brushes.Black, (float)(breite / 2 - textbreite_1 / 2), (float)(hoehe / 2 - 1.5 * Font.Height));
        gra.DrawString(text_2, this.Font, Brushes.Black, (float)(breite / 2 - textbreite_2 / 2), (float)(hoehe / 2 - 0.5 * Font.Height));
        gra.DrawString(text_3, this.Font, Brushes.Black, (float)(breite / 2 - textbreite_3 / 2), (float)(hoehe / 2 + 0.5 * Font.Height));

        counter++;

    }

}

class CAnwendung
{
    static void Main()
    {
        CForm eineForm = new CForm();
        Application.Run(eineForm);
    }
}
