﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Aufgabenpool_Kapitel_13
{
    public partial class Taschenrechner : Form
    {
        private double Ergebnis;		// Speichert das Ergebnis einer Operation
        private char Operation;			// Speichert die letzte Operation

        public Taschenrechner()
        {
            InitializeComponent();
        }

        private void Ausfuehren()
        {
	        switch (Operation)
	        {
	        case '+': Ergebnis = Ergebnis + Convert.ToDouble(this.textBoxAusgabe.Text); break;
	        case '-': Ergebnis = Ergebnis - Convert.ToDouble(this.textBoxAusgabe.Text); break;
	        case '*': Ergebnis = Ergebnis * Convert.ToDouble(this.textBoxAusgabe.Text); break;	
	        case '/': if (Convert.ToDouble(this.textBoxAusgabe.Text)!=0) Ergebnis = Ergebnis / Convert.ToDouble(this.textBoxAusgabe.Text); break;
            default: Ergebnis = Convert.ToDouble(this.textBoxAusgabe.Text); break;

	        }
	        this.textBoxAusgabe.Text = Convert.ToString(Ergebnis);
        }

        private void btnPlus_Click(object sender, EventArgs e)
        {
                Ausfuehren();
                Operation = '+';
                this.textBoxAusgabe.Focus();
        }

        private void btnMinus_Click(object sender, EventArgs e)
        {
                Ausfuehren();
                Operation = '-';
                this.textBoxAusgabe.Focus();
        }

        private void btnMal_Click(object sender, EventArgs e)
        {
                Ausfuehren();
                Operation = '*';
                this.textBoxAusgabe.Focus();
        }

        private void btnGeteilt_Click(object sender, EventArgs e)
        {
                Ausfuehren();
                Operation = '/';
                this.textBoxAusgabe.Focus();
        }

        private void btnGleich_Click(object sender, EventArgs e)
        {
            if (this.textBoxAusgabe.Text != "")
            {
                Ausfuehren();
                Ergebnis = 0;
                Operation = 'x';
            }
            this.textBoxAusgabe.Focus();

        }

        private void btnClear_Click(object sender, EventArgs e)
        {
            Ergebnis = 0;
            Operation = 'x';
            this.textBoxAusgabe.Text = "";
            this.textBoxAusgabe.Focus();
        }

    }
}
