﻿using System;
using System.Windows;
using System.Windows.Input;


namespace Aufgabenpool_15
{

    class CMeineApp : Application
    {

        [STAThread] //nur ein Thread in der CLR
        public static void Main()
        {

            CMeineApp app = new CMeineApp();
            app.Run();

        }


        //Ereignismethode überschreiben und darin das Fenster anzeigen
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            Console.WriteLine("Wie viele Fenster wollen Sie anlegen?");
            int anzahl = Convert.ToInt32(System.Console.ReadLine());

            string[] fensterTitel = new string[anzahl];

            for (int i = 0; i < anzahl; i++)
            {

                Console.WriteLine("Titel des " + (i + 1) + ". Fensters: ");
                fensterTitel[i] = System.Console.ReadLine();
            }

            for (int i = 0; i < anzahl; i++)
            {

                Window einFenster = new Window();
                einFenster.Title = fensterTitel[i];
                einFenster.Show();
            }

            this.ShutdownMode = System.Windows.ShutdownMode.OnLastWindowClose;

        }

    }

}