﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Aufgabenpool_Kapitel_16__WPF_
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class Finanzrechner : Window
    {
        bool bereit = false;
        public Finanzrechner()
        {
            InitializeComponent();
            bereit = true;
        }

        private void slider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (bereit == true) Aktualisieren();
        }

        private void Aktualisieren()
        {
                string kredit = "Kreditsumme: " + sliderKredit.Value.ToString();
                string zinsen = "Zinssatz: " + sliderZins.Value.ToString();
                string laufzeit = "Laufzeit: " + sliderLaufzeit.Value.ToString();
                string rate = "Die monatliche Rate beträgt: " + Berechnung().Substring(0, Berechnung().IndexOf(',') + 3);

                listBoxDaten.Items.Clear();
                listBoxDaten.Items.Add(kredit);
                listBoxDaten.Items.Add(zinsen);
                listBoxDaten.Items.Add(laufzeit);
                listBoxDaten.Items.Add(rate);
        }

        private string Berechnung()
        {

            double rate = Convert.ToDouble(sliderKredit.Value.ToString()) * (Convert.ToDouble(sliderZins.Value.ToString()) / 1200) * Math.Pow((1 + Convert.ToDouble(sliderZins.Value.ToString()) / 1200), Convert.ToDouble(sliderLaufzeit.Value.ToString()));
            rate /= Math.Pow((1 + Convert.ToDouble(sliderZins.Value.ToString())  / 1200), Convert.ToDouble(sliderLaufzeit.Value.ToString()) ) - 1;
            string ratenString = rate.ToString();
            return ratenString;
        }

     
    }
}
