﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Aufgabenpool_Kapitel_16__WPF_
{
    /// <summary>
    /// Interaktionslogik für Weiterleitung.xaml
    /// </summary>
    public partial class Weiterleitung : Window
    {

      
        private string tab = "";
        private bool erstemal;

        public Weiterleitung()
        {
            InitializeComponent();
        }

        private void Allgemeine_Ereignismethode(object sender, MouseButtonEventArgs e)
        {
            string eventName = e.RoutedEvent.Name.ToString();
            string[] teile = sender.ToString().Split('.');
            string absender = teile[teile.Length - 1];

            if (eventName.Contains("Preview")) tab += "    ";
            else
            {
                if (erstemal == true) erstemal = false;
                else tab = tab.Substring(0, tab.Length - 4);
            }



            listBoxEvents.Items.Add(tab + "Event: " + eventName + "  Sender: " + absender);
        }

        private void Erste_Ereignismethode(object sender, MouseButtonEventArgs e)
        {
            string eventName = e.RoutedEvent.Name.ToString();
            string[] teile = sender.ToString().Split('.');
            string absender = teile[teile.Length - 1];
            tab = "";
            erstemal = true;

            listBoxEvents.Items.Clear();
            listBoxEvents.Items.Add("Event: " + eventName + "  Sender: " + absender);
        }

        private void Letzte_Ereignismethode(object sender, MouseButtonEventArgs e)
        {
            string eventName = e.RoutedEvent.Name.ToString();
            string[] teile = sender.ToString().Split('.');
            string absender = teile[teile.Length - 1];
          
            listBoxEvents.Items.Add("Event: " + eventName + "  Sender: " + absender);
        }
    }
}
