﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using System.ComponentModel;

namespace Informationsteil_Kapitel_16__WPF_
{
    /// <summary>
    /// Interaktionslogik für Datenbindung.xaml
    /// </summary>
    public partial class Datenbindung : Window
    {
        private CMeinText meinMext = new CMeinText();

        public Datenbindung()
        {
            InitializeComponent();
            this.DataContext = meinMext;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            meinMext.TEXT = "Datenbindung ist ganz leicht!";
        }

        
    }


    public class CMeinText: INotifyPropertyChanged 
    {
        private string text;

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string eigenschaft)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(eigenschaft));
            }
        }

        public string TEXT
        {
            get 
            { 
                return text; 
            }
            set
            {
                text = value;
                OnPropertyChanged("TEXT");
            }
        }
    }
}
